Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

DSM Domain APIs

Viewing DSM Domains

search

Please Note:

Viewing DSM Domains

Use the get /v1/cckm/dsm/domains API to view the list of DSM domains added to the CipherTrust Manager.

Syntax

curl -k '<IP>/api/v1/cckm/dsm/domains' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string ID of the DSM domain resource on the CipherTrust Manager, for example, 83d7b91f-2298-420e-b7a5-ce0dce07a6d9. Note that this ID is different than the domain ID on DSM, for example, 1385. Refer to Adding DSM Domains to find out the resource ID of a domain.
name string Name of the domain.
connection string Name or ID of the DSM connection.
adminType string Type of the DSM administrator linked with the domain. The type can be:
• SYSTEM_ADMIN
• DOMAIN_ADMIN
• SECURITY_ADMIN
• SECURITY_AND_DOMAIN_ADMIN
• ALL_ADMIN
kmipEnabled boolean Whether KMIP is enabled on the domain - true or false.
fingerprintRegistrationDisabled boolean Whether fingerprint registration is disabled on the domain - true or false.
registrationTokenEnabled boolean Whether registration tokens are enabled on the domain - true or false.
hosts array of strings List of DSM host IP addresses.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/dsm/domains?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 2,
    "resources": [
        {
            "id": "89c49e63-b5c9-46be-9371-0d8b0649e289",
            "uri": "kylo:kylo:cckm:domain:89c49e63-b5c9-46be-9371-0d8b0649e289",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2021-03-02T09:22:50.853645Z",
            "updatedAt": "2021-03-03T06:13:23.360827Z",
            "dsm_params": {
                "id": 2153,
                "url": "/v1/domains/2153",
                "name": "test-domain",
                "adminType": "ALL_ADMIN",
                "kmipEnabled": false,
                "fingerprintRegistrationDisabled": false,
                "registrationTokenEnabled": false
            },
            "connection": "dsm-connection",
            "synced_at": "2021-03-03T06:13:23.36059Z",
            "description": ""
        },
        {
            "id": "83d7b91f-2298-420e-b7a5-ce0dce07a6d9",
            "uri": "kylo:kylo:cckm:domain:83d7b91f-2298-420e-b7a5-ce0dce07a6d9",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2021-03-03T06:15:15.622119Z",
            "updatedAt": "2021-03-03T06:15:15.620849Z",
            "dsm_params": {
                "id": 1769,
                "url": "/v1/domains/1769",
                "name": "testkeydomain",
                "adminType": "ALL_ADMIN",
                "kmipEnabled": false,
                "fingerprintRegistrationDisabled": false,
                "registrationTokenEnabled": false
            },
            "connection": "dsm-connection",
            "synced_at": null,
            "description": ""
        }
    ]
}

The output shows the list of DSM domains available on the CipherTrust Manager.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.